Bug 783422 - Guest should loose virtual pool entitlement with host unregister.
Guest should loose virtual pool entitlement with host unregister.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: William Poteat
Entitlement Bugs
: QA-Closed
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-01-20 06:17 EST by spandey
Modified: 2015-04-23 19:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:45:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
available_list_host_registered (8.92 KB, application/octet-stream)
2012-01-20 06:21 EST, spandey
no flags Details
available_list_host_unregistered (9.28 KB, application/octet-stream)
2012-01-20 06:21 EST, spandey
no flags Details

  None (edit)
Description spandey 2012-01-20 06:17:57 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
4/4

Prerequisites : 
Rehl5.8 server snapshot 4 

Steps to repro :

Register host and guest to candlepin.
Subscribe virtual pool entitlement on host . 
Unregister host from candlepin.

Expected Result : 
At step 3 “guest should loose its virtual pool entitlement”

Actual Result : 
After step 3 
virtual pool is available in subscription list to subscribe for guest  , 
Got one more virtual subscription to subscribe in available list after host unregister .

Attached  
available list with host register : t6 
available list with host unregistered : t7
Comment 1 spandey 2012-01-20 06:21:11 EST
Created attachment 556504 [details]
available_list_host_registered
Comment 2 spandey 2012-01-20 06:21:50 EST
Created attachment 556505 [details]
available_list_host_unregistered
Comment 3 William Poteat 2012-06-15 14:44:50 EDT
This test is only valid in an on-premise scenario. The candlepin parameter 'candlepin.standalone' must be set to true.
Comment 4 spandey 2012-06-20 05:23:19 EDT
Verified using following rpm 
subscription-manager-migration-data-1.11.1.1-1.git.2.c7fbafe.el5
subscription-manager-gui-1.0.4-1.git.0.5943ee7.el5
subscription-manager-migration-1.0.4-1.git.0.5943ee7.el5
subscription-manager-firstboot-1.0.4-1.git.0.5943ee7.el5
subscription-manager-1.0.4-1.git.0.5943ee7.el5


working fine resolving defect as verified
Comment 5 Bryan Kearney 2013-01-09 12:45:11 EST
Batch change of verified bugs which must have missed making the errata.

Note You need to log in before you can comment on or make changes to this bug.